Bug 1720583 - fedmod doesn't know --dataset f30
Summary: fedmod doesn't know --dataset f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedmod
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-14 09:46 UTC by Stephan Bergmann
Modified: 2019-07-14 09:33 UTC (History)
3 users (show)

Fixed In Version: fedmod-0.6.3-1.fc30 fedmod-0.6.3-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-14 02:07:39 UTC


Attachments (Terms of Use)

Description Stephan Bergmann 2019-06-14 09:46:03 UTC
Version-Release number of selected component (if applicable):

fedmod-0.6.2-1.fc30.noarch


How reproducible:

always


Steps to Reproduce:

> $ mkdir tmp && cd tmp && fedmod --dataset f30 rpm2flatpak libreoffice || echo "failed with $?"
> Usage: fedmod [OPTIONS] COMMAND [ARGS]...
> Try "fedmod --help" for help.
> 
> Error: Invalid value for "--dataset" / "-s": invalid choice: f30. (choose from f28, f28-aarch64, f28-armhfp, f28-x86_64, f29, f29-aarch64, f29-armhfp, f29-x86_64, rawhide, rawhide-aarch64, rawhide-armhfp, rawhide-x86_64)
> failed with 2

Comment 1 Kalev Lember 2019-06-14 13:37:58 UTC
This should be fixed by https://pagure.io/modularity/fedmod/pull-request/100

Comment 2 Fedora Update System 2019-06-27 13:27:28 UTC
FEDORA-2019-67ebcabde9 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-67ebcabde9

Comment 3 Fedora Update System 2019-06-27 13:27:28 UTC
FEDORA-2019-da90cbd47b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-da90cbd47b

Comment 4 Fedora Update System 2019-06-28 18:25:12 UTC
fedmod-0.6.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-da90cbd47b

Comment 5 Fedora Update System 2019-06-28 21:44:15 UTC
fedmod-0.6.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-67ebcabde9

Comment 6 Fedora Update System 2019-07-14 02:07:39 UTC
fedmod-0.6.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-07-14 09:33:25 UTC
fedmod-0.6.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.